<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
  <button (click)="getInfo()" class="btn btn-primary">
    <i class="fa fa-search mr-2"></i>Buscar
  </button>
  <button type="button" class="btn btn-danger ml-1" (click)="exportPdf()" [disabled]="dataGrid.length == 0">
    <i class="fa fa-file-pdf mr-2"></i>PDF
  </button>
</app-page-title>

<div class="main-card mb-3 card">
  <div class="card-body">

    <form [formGroup]="ngForm">
      <div class="row">
        <div class="col-sm-3 col-md-2 col-lg-2 col-xl-2 form-group">
          <label class="w-100"></label>
          <input type="radio" name="iInt1" formControlName="iInt1" value="1" id="Casa" class="k-radio mt-2"
            [checked]="true">
          <label class="k-radio-label mr-2 mt-2 w-100" for="Casa">En Casa</label>
          <input type="radio" name="iInt1" formControlName="iInt1" value="2" id="Fechas" class="k-radio">
          <label class="k-radio-label mr-2 w-100" for="Fechas">Fechas</label>
        </div>
        <div class="form-group col-12 col-sm-4 col-md-3 col-lg-3 col-xl-3" *ngIf="ngForm.value.iInt1 == 2">
          <label class="w-100">Desde:</label>
          <kendo-datepicker formControlName="fFec1" class="w-100" [format]="formatKendo">
          </kendo-datepicker>
        </div>
        <div class="form-group col-12 col-sm-4 col-md-3 col-lg-3 col-xl-3" *ngIf="ngForm.value.iInt1 == 2">
          <label class="w-100">Hasta</label>
          <kendo-datepicker formControlName="fFec2" class="w-100" [format]="formatKendo" [min]="ngForm.value.fFec1">
          </kendo-datepicker>
        </div>
        <div class="form-group col-4 col-sm-2 col-md-2 col-lg-2 col-xl-2">
          <label class="w-100"></label>
          <input type="checkbox" id="lLog1" class="k-checkbox mt-2" formControlName="lLog1">
          <label class="k-checkbox-label mt-2" for="lLog1">Ubicación</label>
        </div>
      </div>

    </form>

    <div class="divider"></div>

    <kendo-grid [kendoGridBinding]="dataGrid" *ngIf="!loading" [selectable]="true" [filter]="filter" [filterable]="true"
      [navigable]="true" [reorderable]="true" [resizable]="true" [sortable]="true" [pageSize]="pageSize" [skip]="skip"
      [pageable]="{buttonCount: 5, pageSizes: [10, 25, 50]}" style="height: 60vh;" class="mt-1">
      <div *ngIf="dataGrid.length !== 0">
        <ng-template kendoGridToolbarTemplate>
          <button type="button" class="btn btn-success" kendoGridExcelCommand icon="file-excel">Excel</button>
        </ng-template>
        <kendo-grid-column field="NoFolio" title="# Folio" width="100"></kendo-grid-column>
        <kendo-grid-column field="NoControl" title="Control" width="90"></kendo-grid-column>
        <kendo-grid-column field="Cuarto" title="Cuarto" width="90"></kendo-grid-column>
        <kendo-grid-column field="Apellido" title="Apellido" width="160"></kendo-grid-column>
        <kendo-grid-column field="Nombre" title="Nombre" width="160"></kendo-grid-column>
        <kendo-grid-column field="TP" title="TP" width="60" [filterable]="false"></kendo-grid-column>
        <kendo-grid-column field="Edad" title="Edad" width="70" [filterable]="false"></kendo-grid-column>
        <kendo-grid-column field="FechaNac" title="Fec. Nac." width="110"></kendo-grid-column>
        <kendo-grid-column field="Notas" title="Notas" width="240"></kendo-grid-column>
        <kendo-grid-column field="Pasaporte" title="Pasaporte" width="130"></kendo-grid-column>
        <kendo-grid-column field="Pais" title="País" width="100"></kendo-grid-column>
        <kendo-grid-column field="FechaEntrada" title="Fec. Ent." width="110"></kendo-grid-column>
        <kendo-grid-column field="Noches" title="Noches" width="90"></kendo-grid-column>
        <kendo-grid-column field="FechaSalida" title="Fec. Sal." width="110"></kendo-grid-column>
        <kendo-grid-column field="Grupo" title="Grupo" width="130"></kendo-grid-column>
        <kendo-grid-column field="Agencia" title="Agencia" width="130"></kendo-grid-column>
        <kendo-grid-column field="Empresa" title="Empresa" width="130"></kendo-grid-column>
        <kendo-grid-column field="VIP" title="VIP" width="70"></kendo-grid-column>
        <kendo-grid-column field="Idioma" title="Idioma" width="100"></kendo-grid-column>
        <kendo-grid-column field="Ubicacion" title="Ubicación" width="100"></kendo-grid-column>
        <kendo-grid-column field="EdoActual" title="EA" width="70"></kendo-grid-column>
        <kendo-grid-column field="propiedad" title="Propiedad" width="90"></kendo-grid-column>
        <kendo-grid-column field="NoCliente" title="Cliente" width="100"></kendo-grid-column>
        <kendo-grid-column field="TM" title="TM" width="70"></kendo-grid-column>
      </div>
      <kendo-grid-excel fileName="{{this.heading}}.xlsx" [fetchData]="allData"></kendo-grid-excel>
      <ng-template kendoGridNoRecordsTemplate>
        {{ noRecords }}
      </ng-template>
    </kendo-grid>

  </div>
  <app-loading *ngIf="loading"></app-loading>
</div>